"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.faucet = void 0;
const routes_json_1 = __importDefault(require("./routes.json"));
const request_1 = require("./request");
const faucet = async (twoPi, { network, address }) => {
    const data = { network, address };
    const response = await (0, request_1.post)(twoPi, routes_json_1.default.faucetPath, data, 422);
    if (response.status === 200) {
        return { status: 'success' };
    }
    else {
        return {
            status: 'error',
            message: `Faucet response status was ${response.status} (and 200 was expected)`
        };
    }
};
exports.faucet = faucet;
