import TwoPi from './twoPi';
declare type Data = {
    data: string;
    to: string;
};
declare type Details = {
    to: string;
    function: string;
    arguments: Array<string>;
};
declare type Provider = {
    chainId: number;
    gasPrice: number;
    rpcUrl: string;
};
declare type Transaction = {
    description: string;
    data: Data;
    details: Details;
    provider: Provider;
};
declare type Constructor = {
    id: number;
    status: string;
    transaction: Transaction;
    createdAt: Date;
};
export declare type Filter = {
    status: string | undefined;
} | undefined;
export declare class Proposal {
    readonly id: number;
    readonly status: string;
    readonly transaction: Transaction;
    readonly createdAt: Date;
    constructor({ id, status, transaction, createdAt }: Constructor);
}
export declare const getProposals: (twoPi: TwoPi, filter: Filter) => Promise<Array<Proposal>>;
export declare const deleteProposal: (twoPi: TwoPi, proposal: Proposal) => Promise<boolean>;
export {};
//# sourceMappingURL=proposals.d.ts.map