"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.get = void 0;
const axios_1 = __importDefault(require("axios"));
const session_1 = require("./session");
const initialConfig = async (twoPi) => {
    const token = await (0, session_1.getValidToken)(twoPi);
    return {
        headers: (0, session_1.getAuthHeader)(token)
    };
};
const get = async (twoPi, path) => {
    const config = await initialConfig(twoPi);
    return await axios_1.default.get(`${twoPi.endpoint}/${path}`, config);
};
exports.get = get;
