"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const commander_1 = require("commander");
const package_json_1 = __importDefault(require("../package.json"));
const command = () => {
    let projectPath = null;
    const program = new commander_1.Command(package_json_1.default.name);
    const help = {
        version: 'output the current version',
        development: 'create the project with development endpoint (if in doubt, do not use)',
        mnemonic: 'provide your own mnemonic',
        key: 'provide your API key',
        secret: 'provide your API secret (be carefull, can be seen using shell history)',
        project: 'project name (it will also become the project directory)'
    };
    program
        .version(package_json_1.default.version, '-v, --version', help.version)
        .option('-d, --development', help.development)
        .addOption(new commander_1.Option('-m, --mnemonic <words...>', help.mnemonic).env('MNEMONIC'))
        .addOption(new commander_1.Option('-k, --key <key>', help.key).env('API_KEY'))
        .addOption(new commander_1.Option('-s, --secret <secret>', help.secret).env('API_SECRET'))
        .argument('<project-name>', help.project)
        .action(projectName => projectPath = projectName)
        .parse();
    return { program, projectPath: String(projectPath) };
};
exports.default = command;
