"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getEndpointData = void 0;
const config_json_1 = __importDefault(require("../config.json"));
const getEndpoint = (devMode = false) => {
    const { protocol, hostname, port } = (0, exports.getEndpointData)(devMode);
    const hasDefaultPort = (protocol === 'https' && port === 443) ||
        (protocol === 'http' && port === 80);
    if (hasDefaultPort) {
        return `${protocol}://${hostname}`;
    }
    else {
        return `${protocol}://${hostname}:${port}`;
    }
};
const getEndpointData = (devMode = false) => {
    const { development, production } = config_json_1.default;
    const envConfig = devMode ? development : production;
    return envConfig.endpoint;
};
exports.getEndpointData = getEndpointData;
exports.default = getEndpoint;
