"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ethers_1 = require("ethers");
const configWallet = ({ mnemonic }) => {
    let wallet;
    if (mnemonic) {
        console.log('Using provided mnemonic');
        wallet = ethers_1.ethers.Wallet.fromMnemonic(mnemonic.join(' '));
    }
    else {
        console.log('Creating a new mnemonic...');
        wallet = ethers_1.ethers.Wallet.createRandom();
    }
    const { address } = wallet;
    const { phrase } = wallet.mnemonic;
    return { address, mnemonic: phrase };
};
exports.default = configWallet;
