import TwoPi from './twoPi';
declare type Balance = {
    wallet: string;
    amount: string;
};
declare type Deposit = {
    wallet: string;
    amount: string;
};
declare type Constructor = {
    identifier: string;
    pid: number;
    token: string;
    address: string;
    tokenAddress: string;
    tokenDecimals: string;
    vaultDecimals: string;
    apy: number;
    tvl: string;
    balances: Array<Balance>;
    deposits: Array<Deposit>;
};
export declare type Filter = {
    partner: string | undefined;
    networks: Array<string> | undefined;
} | undefined;
export declare class Vault {
    readonly identifier: string;
    readonly pid: number;
    readonly token: string;
    readonly address: string;
    readonly tokenAddress: string;
    readonly tokenDecimals: number;
    readonly vaultDecimals: number;
    readonly apy: number;
    readonly tvl: string;
    readonly balances: Array<Balance>;
    readonly deposits: Array<Deposit>;
    constructor({ identifier, pid, token, address, tokenAddress, tokenDecimals, vaultDecimals, apy, tvl, balances, deposits }: Constructor);
}
export declare const getVaults: (twoPi: TwoPi, filter: Filter) => Promise<Array<Vault>>;
export {};
//# sourceMappingURL=vaults.d.ts.map