"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getVaults = exports.Vault = void 0;
const routes_json_1 = __importDefault(require("./helpers/routes.json"));
const request_1 = require("./helpers/request");
class Vault {
    constructor({ identifier, pid, token, address, tokenAddress, tokenDecimals, vaultDecimals, apy, tvl, balances, deposits }) {
        this.identifier = identifier;
        this.pid = pid;
        this.token = token;
        this.address = address;
        this.tokenAddress = tokenAddress;
        this.tokenDecimals = +tokenDecimals;
        this.vaultDecimals = +vaultDecimals;
        this.apy = apy;
        this.tvl = tvl;
        this.balances = balances;
        this.deposits = deposits;
    }
}
exports.Vault = Vault;
const params = (filter) => {
    const params = {};
    if (filter?.networks) {
        params.only = filter.networks;
    }
    if (filter?.partner) {
        params.partner = filter?.partner;
    }
    return params;
};
const getVaults = async (twoPi, filter) => {
    const response = await (0, request_1.get)(twoPi, routes_json_1.default.vaultsPath, params(filter));
    return response.data.data.map((vault) => {
        const { apy, tvl, contract_address: address, identifier, pid, token, token_address: tokenAddress, token_decimals: tokenDecimals, vault_decimals: vaultDecimals, balances, deposits } = vault;
        return new Vault({
            address,
            apy,
            tvl,
            identifier,
            pid,
            token,
            tokenAddress,
            tokenDecimals,
            vaultDecimals,
            balances,
            deposits
        });
    });
};
exports.getVaults = getVaults;
